Skip to main content

changeAssetType

Convert one asset to another type in place (repository / domain / API)

changeAssetType(
input: ChangeAssetTypeInput!
): ChangeAssetTypePayload

Arguments

changeAssetType.input ● ChangeAssetTypeInput! non-null input

Parameters for ChangeAssetType

Type

ChangeAssetTypePayload object

Autogenerated return type of ChangeAssetType.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateChangeAssetType($input: ChangeAssetTypeInput!) {\n changeAssetType(input: $input) { asset { id name activeDevelopers { __typename } } clientMutationId droppedBranchCount }\n}","variables":{"input":{"companyId":"<company_id>","assetId":"<asset_id>","targetType":"REPOSITORY"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.